corda / net.corda.node.services.database / KotlinConfigurationTransactionWrapper / CordaDataSourceConnectionProvider

# CordaDataSourceConnectionProvider

`class CordaDataSourceConnectionProvider : ConnectionProvider`

### Constructors

<init> | `CordaDataSourceConnectionProvider(dataSource: DataSource)`

### Properties

dataSource | `val dataSource: DataSource`

### Functions

getConnection | `fun getConnection(): Connection`